Back to Redis

Bdb

content/operate/rs/references/rest-api/requests/debuginfo/all/bdb.md

latest1.6 KB
Original Source

{{<banner-article>}} This REST API path is deprecated as of Redis Software version 7.4.2. Use the new path [/v1/bdbs/debuginfo]({{< relref "/operate/rs/references/rest-api/requests/bdbs/debuginfo" >}}) instead. {{</banner-article>}}

MethodPathDescription
GET/v1/debuginfo/all/bdb/{bdb_uid}Get debug info for a database from all nodes

Get database debug info for all nodes {#get-all-debuginfo-bdb}

GET /v1/debuginfo/all/bdb/{int: bdb_uid}

Downloads a tar file that contains debug info for the specified database (bdb_uid) from all nodes.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-all-request}

Example HTTP request

GET /v1/debuginfo/all/bdb/1 

Response {#get-all-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser

Status codes {#get-all-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.